// Licensed Materials - Property of IBM
// 5724-P68
// Copyright IBM Corporation 2005, 2008. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

// Alcatel-Lucent 5620 SAM Pack


var reverse_mpls_ping_Name = {},
mpls_ping_Name = {
	"samAdministrativeState":"administrativeState",
	"samDeploymentState":"deploymentState",
	"samDescription":"description",
	"samDisplayedName":"displayedName",
	"samFromNodeId":"fromNodeId",
	"samGlobalId":"globalId",
	"samId":"id",
	//"samLsp":"lsp",
	//"samLspPath":"lspPath",
	//"samMplsSite":"mplsSite",
	"samName":"name",
	"samObjectFullName":"objectFullName",
	"samTestTargetType":"testTargetType",
	"samTestType":"testType"
	//"samTestedObject":"testedObject"
};


for( var i in mpls_ping_Name)
{
	MasterPropertyMap[mpls_ping_Name[i]] = i;
	ReverseMasterPropertyMap[mpls_ping_Name[i]] = i;
	reverse_mpls_ping_Name[mpls_ping_Name[i]] = i;
}

function process_mpls_ping(samObject, modelInterface)
{
    logP4Msg("process_mpls_ping", "SAMIF", "entered process_mpls_ping" );
    var element;
    var subelement;

    element = modelInterface.Element();
    element.state = true;
    element.name = samObject.fromNodeId.toString();
    element.origin = "SAM" ;

    subelement = modelInterface.Subelement();
    //    var simplePortName = samObject.siteId.toString() + "_" + samObject.shelfId.toString() + "/" + samObject.cardSlotId.toString() + "/" + samObject.daughterCardSlotId.toString() + "/" + samObject.portId.toString();

    //    subelement.name = simplePortName;
    subelement.name = samObject.objectFullName;
    subelement.state = true;
    subelement.origin = "SAM";
    subelement.family = "5620_SAM_OAM_Test" ;
    subelement.invariant = samObject.objectFullName;
    //    subelement.instance = "If<" + simplePortName +">";
    subelement.instance = samObject.objectFullName;

    if (isConfig("inv_uses_names") && isDef(mapSiteName[samObject.fromNodeId])) {
	subelement.label = mapSiteName[samObject.fromNodeId]+" "+samObject.objectFullName;
    }
    else {
	subelement.label = samObject.objectFullName;
	}

    subelement.addProperty("nmVendor", "Alcatel5620SAM");
    subelement.addProperty("OAMTestType", "MPLS Ping");

    logP4Msg("process_mpls_ping", "SAMIF", "ObjectFullName: "+samObject.objectFullName);
    logP4Msg("process_mpls_ping", "SAMIF", "Label: "+subelement.label);
    logP4Msg("process_mpls_ping", "SAMIF", "Name: "+subelement.name);
    logP4Msg("process_mpls_ping", "SAMIF", "Invariant: "+subelement.invariant);

    for( var i in mpls_ping_Name) 
    {
            if ( samObject[ mpls_ping_Name[i] ] != undefined )
                {
                        subelement.addProperty( i.toString(), samObject[ mpls_ping_Name[i] ].toString() );
                }    
    }

    subelement.timestamp = modelInterface.currentDate;

    element.addSubelement(subelement);
    possible_inline_commit(modelInterface);

    logP4Msg("process_mpls_ping", "SAMIF", "exiting process_mpls_ping" );

} 

